# Visualization
TKV3d
AIS

# AIS_AttributeFilter Class Reference

Selects Interactive Objects, which have the desired width or color.
The filter questions each Interactive Object in local
context to determine whether it has an non-null
owner, and if so, whether it has the required color
and width attributes. If the object returns true in each
case, it is kept. If not, it is rejected.
This filter is used only in an open local context.
In the Collector viewer, you can only locate
Interactive Objects, which answer positively to the
filters, which are in position when a local context is open.
.

`#include <AIS_AttributeFilter.hxx>`

Inheritance diagram for AIS_AttributeFilter:

[legend]

## Public Member Functions

Standard_EXPORT | AIS_AttributeFilter ()
| Constructs an empty attribute filter object. This filter object determines whether selectable interactive objects have a non-null owner. .
Standard_EXPORT | AIS_AttributeFilter (const Quantity_NameOfColor aCol)
| Constructs an attribute filter object defined by the color attribute aCol. .
Standard_EXPORT | AIS_AttributeFilter (const Standard_Real aWidth)
| Constructs an attribute filter object defined by the line width attribute aWidth. .
Standard_Boolean | HasColor () const
| Indicates that the Interactive Object has the color setting specified by the argument aCol at construction time. .
Standard_Boolean | HasWidth () const
| Indicates that the Interactive Object has the width setting specified by the argument aWidth at construction time. .
void | SetColor (const Quantity_NameOfColor aCol)
| Sets the color aCol. This must be chosen from the list of colors in Quantity_NameOfColor. .
void | SetWidth (const Standard_Real aWidth)
| Sets the line width aWidth. .
void | UnsetColor ()
| Removes the setting for color from the filter. .
void | UnsetWidth ()
| Removes the setting for width from the filter. .
virtual Standard_EXPORT Standard_Boolean | IsOk (const Handle(SelectMgr_EntityOwner)&anObj) const

Indicates that the selected Interactive Object passes
the filter. The owner, anObj, can be either direct or
user. A direct owner is the corresponding
construction element, whereas a user is the
compound shape of which the entity forms a part.
If the Interactive Object returns Standard_True
when detected by the Local Context selector through
the mouse, the object is kept; if not, it is rejected.
.

Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Quantity_NameOfColor | myCol
Standard_Real | myWid
Standard_Boolean | hasC
Standard_Boolean | hasW

## Constructor & Destructor Documentation

Standard_EXPORT AIS_AttributeFilter::AIS_AttributeFilter | ( |  | ) |

Standard_EXPORT AIS_AttributeFilter::AIS_AttributeFilter | ( | const Quantity_NameOfColor | aCol | ) |

Standard_EXPORT AIS_AttributeFilter::AIS_AttributeFilter | ( | const Standard_Real | aWidth | ) |

## Member Function Documentation

Standard_EXPORT const AIS_AttributeFilter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from SelectMgr_Filter.

Standard_Boolean AIS_AttributeFilter::HasColor | ( |  | ) | const`[inline]`

Standard_Boolean AIS_AttributeFilter::HasWidth | ( |  | ) | const`[inline]`

virtual Standard_EXPORT Standard_Boolean AIS_AttributeFilter::IsOk | ( | const Handle(SelectMgr_EntityOwner)& | anObj | ) | const`[virtual]`

| Implements SelectMgr_Filter.

void AIS_AttributeFilter::SetColor | ( | const Quantity_NameOfColor | aCol | ) | `[inline]`

void AIS_AttributeFilter::SetWidth | ( | const Standard_Real | aWidth | ) | `[inline]`

void AIS_AttributeFilter::UnsetColor | ( |  | ) | `[inline]`

void AIS_AttributeFilter::UnsetWidth | ( |  | ) | `[inline]`

## Field Documentation

Standard_Boolean AIS_AttributeFilter::hasC `[private]`

Standard_Boolean AIS_AttributeFilter::hasW `[private]`

Quantity_NameOfColor AIS_AttributeFilter::myCol `[private]`

Standard_Real AIS_AttributeFilter::myWid `[private]`

The documentation for this class was generated from the following files:

- AIS_AttributeFilter.hxx
- AIS_AttributeFilter.lxx